### Signal

# Hitaki MotuRegisterDsp::changed

#### Declaration

    void
    changed (
      HitakiMotuRegisterDsp* self,
      gpointer events,
      guint length,
      gpointer user_data
    )

#### Description [src]

Emitted when MOTU register DSP models transfer events by messages in the sequence of isochronous packet. The event consists of encoded data. The most significant byte is the type of message. The next two bytes are two identifiers. The least significant byte is value. The meaning of identifier 0, 1 and value is decided depending on the type. For detail, see `sound/firewire/motu/motu-register-dsp-message-parser.c` in Linux kernel.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`events`

  Type: An array of `guint32`

  The array with element for unsigned 32 bit encoded data.

  The length of the array is specified in the `length` argument.

`length`

  Type: `guint`

  The length of events.